Bug 1868034 - [4.5] Routes created via the webconsole set route.spec.port.targetPort to the service.spec.ports.port
Summary: [4.5] Routes created via the webconsole set route.spec.port.targetPort to the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.5.z
Assignee: Robb Hamilton
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On: 1867201
Blocks: 1868035
TreeView+ depends on / blocked
 
Reported: 2020-08-11 13:12 UTC by Samuel Padgett
Modified: 2020-08-24 15:14 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The web console route creation form was incorrectly setting route.spec.port.targetPort to the service.spec.ports.port when creating new routes. Consequence: Routes created using the web console route creation form resulted in routes with the incorrect port. Fix: The web console route creation form now utilizes route.spec.port.targetPort if specified when creating new routes. Result: Routes created using the web console route creation form correctly set the target port to route.spec.port.targetPort when specified.
Clone Of: 1867201
: 1868035 (view as bug list)
Environment:
Last Closed: 2020-08-24 15:13:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6287 None closed [release-4.5] Bug 1868034: fix bug where Routes created set route.spec.port.targetP… 2020-09-16 02:16:10 UTC
Red Hat Product Errata RHBA-2020:3436 None None None 2020-08-24 15:14:08 UTC

Comment 5 errata-xmlrpc 2020-08-24 15:13:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.7 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3436


Note You need to log in before you can comment on or make changes to this bug.